/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: filbuf.c 1.3 89/10/10 $@(#)graf:src/stat.d/filbuf.c	1.2"
/* <:t-5 d:> */
#include "stdio.h"
#include "errpr.h"

double *filbuf(fdi,bufs,size) /*fill buf from fdi*/
FILE *fdi;
double *bufs;
int size;
{
	int s;
	double *bufe=bufs+size;

	for( ; bufs<bufe; bufs++ )
		if( getdoub(fdi,bufs)==EOF ) return(bufs-1);
	return(NULL);
}

double *filbuf1(fd,bufs,size) /* setup for filbuf */
FILE *fd;
double *bufs;
int size;
{
	double *ep, *filbuf();
	extern char *nodename;

	if((ep=filbuf(fd,bufs,size)) == NULL) {
		ERRPR1(too many data elements\, first %d used, size-1);
		ep = bufs+size-1;
	}
	return(ep);
}
